\name{im2array}
\alias{im2array}
\title{Coerces image to array.}
\usage{
  im2array(img, transpose = FALSE, ...)
}
\arguments{
  \item{img}{image to convert}

  \item{transpose}{boolean, whether to transpose the
  resultant array.

  Note that Voir images are of dimension (nx,ny,nchanns),
  and the returned array will also have dimensions
  (nx,ny,nchanns).

  That is, *the returned array will be transposed*, since
  usually an image as an array would have dimensions
  (ny,nx,nchanns), being (rows,columns,channels).

  If \code{transpose=TRUE}, then the returned array will
  have dimensions (ny, nx, nchanns).}

  \item{...}{IGNORED}
}
\description{
  Coerces image to array.
}
\seealso{
  Other convert: \code{\link{array2im}},
  \code{\link{as.image}}, \code{\link{imbinary}},
  \code{\link{imchar}}, \code{\link{imint}},
  \code{\link{is.image}}
}

