\name{subsample.rows}
\alias{subsample.rows}
\title{subsample an array, averaging every dy rows.}
\usage{
  subsample.rows(x, dy, ...)
}
\arguments{
  \item{x}{array to subsample}

  \item{dy}{how many rows to average over}

  \item{...}{passed into \code{colMeans}}
}
\value{
  array of the same size as \code{x}, except number of rows
  is \code{nrow(x)/dy}.
}
\description{
  subsample an array, averaging every dy rows.
}
\note{
  assumes \code{nrow(x)} is exactly divisible by \code{dy}
}
\seealso{
  Other subsample: \code{\link{imdownsample}},
  \code{\link{imsubsample}}, \code{\link{subsample.cols}}
}
\keyword{internal}

