#' @include common_imaging_utilities.r
NULL

#' transposes a 3D array
#' @param img source image to transpose
#' @return matrix of same size as original, transposed for each channel.
#' @family reshape
#' @export
imtranspose <- imtranspose.array

#' flips a 3D *array* about a given axis
#' @param img image array to flip
#' @param type the type of flip: flip horizontally (ie about vertical
#' axis), or vertically (about horizontal axis).
#' @return the input array flipped about the specified dimension
#' @family reshape
#' @export
imflip <- imflip.array

