\name{isthermal}
\alias{isthermal}
\title{Determines whether an image is thermal based on its extension.}
\usage{
  isthermal(fName)
}
\arguments{
  \item{fName}{the path to the file}
}
\value{
  boolean whether or not the image could be a thermal file
}
\description{
  Determines whether an image is thermal based on its
  extension.
}
\note{
  This just tests that the extension of the file is '.bin',
  so a file for which the function returns ``TRUE`` might
  not actually be a thermal image file.
}
\seealso{
  Other thermal: \code{\link{imloadthermal}}
}

